%define name qcg-libxml2
%define _sourcedir %{_topdir}/SOURCES
%define tarball libxml2
%define _prefix /opt/qcg/dependencies

Summary: Library providing XML and HTML support (install dir adjusted to QosCosGrid)
Name: %{name}
Version: 2.9.1
Release: 1
License: MIT
Group: Development/Libraries
Source: %{tarball}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{tarball}-%{version}-root
BuildRequires: python python-devel zlib-devel
URL: http://xmlsoft.org/
Prefix: %{_prefix}
Provides: libxml2 = %{version}
Docdir: %{_prefix}/share/doc

%define _libdir %{_prefix}/lib
# %define _mandir %{_prefix}/share/man

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/Libraries
Requires: libxml2 = %{version}
Requires: zlib-devel
Requires: pkgconfig

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --without-python
make
gzip -9 ChangeLog

%install
rm -fr %{buildroot}

%makeinstall
(cd doc/examples ; make clean ; rm -rf .deps)
gzip -9 doc/libxml2-api.xml
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%exclude %{_docdir}
%exclude %{_mandir}
#%doc AUTHORS ChangeLog.gz NEWS README Copyright TODO
#%doc %{_mandir}/man1/xmllint.1*
#%doc %{_mandir}/man1/xmlcatalog.1*
#%doc %{_mandir}/man3/libxml.3*

%attr(644,root,root) %{_libdir}/lib*.so.*
%{prefix}/bin/xmllint
%{prefix}/bin/xmlcatalog

%files devel
%defattr(-, root, root)
%exclude %{_docdir}
%exclude %{_mandir}
%exclude %{_datadir}/gtk-doc

# %doc %{_mandir}/man1/xml2-config.1*
# %doc AUTHORS 
# %doc ChangeLog.gz 
# %doc NEWS 
# %doc README 
# %doc Copyright 
# %doc TODO
# %doc doc/*.html doc/html doc/*.gif doc/*.png
# %doc doc/tutorial doc/libxml2-api.xml.gz
# %doc doc/examples
# %doc %{_datadir}/gtk-doc/html/libxml2/*.devhelp
# %doc %{_datadir}/gtk-doc/html/libxml2/*.html
# %doc %{_datadir}/gtk-doc/html/libxml2/*.png
# %doc %{_datadir}/gtk-doc/html/libxml2/*.css

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{prefix}/include/*
%{prefix}/bin/xml2-config
%{prefix}/share/aclocal/libxml.m4
%{_libdir}/pkgconfig/libxml-2.0.pc

%changelog
* Fri Apr 19 2013 Daniel Veillard <veillard@redhat.com>
- upstream release 2.9.1 see http://xmlsoft.org/news.html
* Wed Oct 25 2006 Daniel Veillard <veillard@redhat.com>
- upstream release 2.6.27 see http://xmlsoft.org/news.html

